Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-24793

Issue while restoring backup from "thinbackup" plugin

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Minor
    • Resolution: Not A Defect
    • Component/s: thinbackup-plugin
    • Labels:
      None
    • Environment:
      Source Jenkins: 1.552

      Destination Jenkins: 1.580
    • Similar Issues:

      Description

      Hello Team,

      I'm facing an issue while restoring the backup taken using thinbackup.

      Restoration is done to a remote server after transferring the backup to the destination server

      The jenkins version on my source jenkins server is (I'm taking the backup of this server) "1.552".

      The jenkins version on my destination jenkins server is (I'm restoring the backup to this server) "1.580"

      After restoring the backup from frontend, it's giving an error as follows:
      ------
      java.io.IOException: Unable to read /var/lib/jenkins/config.xml
      at hudson.WebAppMain$3.run(WebAppMain.java:234)
      Caused by: org.jvnet.hudson.reactor.ReactorException: java.io.IOException: Unable to read /var/lib/jenkins/config.xml

      ------

      I've checked the permission of the file /var/lib/jenkins/config.xml and found that jenkins user is actually having the permission to read the file.

      Any idea regarding the reason for this?

      Is the jenkins version mismatch between source and destination server could be a reason?

      Regards
      Unni

        Attachments

          Activity

          Hide
          tofuatjava Thomas Fürer added a comment -

          Backup and restore to different version are not guaranteed to work. because the backup/restore only (re)store the file it could cause problems when the file content is upgraded.
          Try to install the same version on the target first and afterwards try to upgrade. In the case this also not work you should reopen this issue.

          Show
          tofuatjava Thomas Fürer added a comment - Backup and restore to different version are not guaranteed to work. because the backup/restore only (re)store the file it could cause problems when the file content is upgraded. Try to install the same version on the target first and afterwards try to upgrade. In the case this also not work you should reopen this issue.

            People

            • Assignee:
              appannie appannie appannie
              Reporter:
              appannie appannie appannie
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: